%define major		3
%define libname		%mklibname origin %{major}
%define develname	%mklibname origin -d

Name:		liborigin
Version:	3.0.1
Release:	%mkrel 1
Group:		System/Libraries
Summary:	Library for reading OriginLab OPJ project files
License:	GPL-3.0-only
URL:		https://sourceforge.net/projects/liborigin/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++

%description
A library for reading OriginLab OPJ project files.

#------------------------------------------------

%package tools
Summary:	Converter for OriginLab OPJ project files
Group:		System/Libraries

%description tools
Converter for OriginLab OPJ project files.
Features:
  * reads any worksheets with all columns
  * supports 4.1, 5.0, 6.0, 6.1, 7.0, 7.5 projects

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for reading OriginLab OPJ project files
Group:		System/Libraries

%description -n	%{libname}
A library for reading OriginLab OPJ project files.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	origin-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

%build
%cmake -DBUILD_STATIC_LIBS=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/liborigin/{COPYING,FORMAT,README}

%files tools
%doc FORMAT README
%license COPYING
%{_bindir}/opj2dat

%files -n %{libname}
%doc README
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc FORMAT README
%license COPYING
%{_docdir}/%{name}/html/
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Mar 22 2023 daviddavid <daviddavid> 3.0.1-1.mga9
+ Revision: 1949994
- initial package liborigin (new labplot dependency)

